package cn.reghao.bnt.common.agent.app.iface;

import cn.reghao.bnt.common.msg.event.EvtAppStat;
import cn.reghao.bnt.common.msg.event.EvtAppStatResult;

import java.util.List;

/**
 * 应用状态管理
 *
 * @author reghao
 * @date 2023-03-06 15:22:48
 */
public interface AppStat {
    EvtAppStatResult start(EvtAppStat evtAppStat) throws Exception;
    EvtAppStatResult stop(EvtAppStat evtAppStat) throws Exception;
    EvtAppStatResult restart(EvtAppStat evtAppStat) throws Exception;
    EvtAppStatResult stat(EvtAppStat evtAppStat) throws Exception;
    List<EvtAppStatResult> stat() throws Exception;
}
